Display namespace in mobile view of the page history
Closed, ResolvedPublic3 Story Points

Description

Background

If I got to Special:History/User_talk:André_Costa_(WMSE) (in mobile view). There is no indication that I'm in the user_talk namespace. While making the distinction between main and user namespace might not be critical (you are unlikely to intend to go to one but end up on the other) not making a distinction between a namespace and it's associated talk namepace is likely to lead to confusion.

Examples which all look identical:

Design

Regular page edit history

Namespace edit history

NOTE: this uses new special page layout described in T169162

Developer notes

MinervaTemplate currently has no concept of links/components that can be placed above the heading. We'd need to add this capability inside Minerva before dealing with this in MobileFrontend. There is no precedent for doing this and this would only work on Minerva - not other skins.

It would be easier to put the link under the heading e.g. consider breadcrumbs on https://m.mediawiki.org/wiki/Reading/Web/Team

Testing steps

On beta cluster please verify that Special:History page shows Talk label for articles from talk namespace, as an example:

https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:History/Talk:Planet
and
https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:History/Planet

On production, the talk page history will show only "Planet", wihout "Talk" label.

The namespace label should be visible only on talk namespaces (there are plenty of those) and additionally it should be translated, example:
https://de.m.wikipedia.beta.wmflabs.org/wiki/Spezial:Versionsgeschichte/Talk:Berlin

Acceptance criteria

  • if the user is on a talk namespace, it must be noted on the page, as per the mockups

note: go back link does not need to be present for now

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2016, 12:56 PM
jhobs triaged this task as Normal priority.Oct 11 2016, 5:15 PM
jhobs moved this task from To Triage to Design on the Readers-Web-Backlog board.
Nirzar added a subscriber: Nirzar.Jun 28 2017, 10:13 PM

for now [1] we can do something simple like this >

I want to move away from these random special page layouts to a standard template. I will create another epic task for that

Regular page edit history

Namespace edit history

NOTE: this uses new special page layout described in T169162
Nirzar updated the task description. (Show Details)
Jdlrobson moved this task from Backlog to New adventures on the MinervaNeue board.Oct 31 2017, 5:44 PM
Jdlrobson updated the task description. (Show Details)Nov 29 2017, 5:49 PM

@Nirzar can you take a look at the developer notes? Does the go back link have to be above the title? It would be a lot simpler if it was somewhere below, since Special pages are very restrictive in what they do.

@Jdlrobson you can skip the go back link for this task. the go back link would be part of special page template and we can include that later. rn it can be just extra info in the header, as you can see it uses the new alignment already and browser back will work for going back

you can skip the go back link for this task. the go back link would be part of special page template and we can include that later

That's the problem. There is no special page template. A special page is the same as every other page and currently only content under the heading can be controlled.

Forgetting the back button altogether, The mocks still need updating as the tagline is a link and it's not clear from the mock whether this is a link; which part is a link; and if it is a link how the link should appear when hovered/clicked.

tagline is a link

it's actually not a link and that's why doesn't look like a link. it is a link right now because it serves as a way to go the article. it is useful only if you have come to this page directly and not from the article itself.

let me add link to article below somewhere and remove go back

ovasileva updated the task description. (Show Details)Dec 6 2017, 4:38 PM

@Nirzar - I'm a bit confused on this one. In particular, we would like to distinguish between the subject namespaces and the talk namespaces (as in, the distinction would only appear on talk namespaces?)

the distinction would only appear on talk namespaces?

yes, extra label of namespace won't exist for other namesapces. it will exist only for "talk" page to begin with.

Jdlrobson updated the task description. (Show Details)Dec 12 2017, 5:43 PM
ovasileva updated the task description. (Show Details)Dec 12 2017, 5:43 PM
ovasileva updated the task description. (Show Details)
ovasileva set the point value for this task to 3.Dec 12 2017, 5:51 PM
pmiazga claimed this task.

Change 399660 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] When showing history include the namespace text

https://gerrit.wikimedia.org/r/399660

Per T147722#3389019 I submitted the patch to include the namespace. Changing the header and adding styles is too much work and It makes bigger more than a 3 pointer.

pmiazga removed pmiazga as the assignee of this task.
pmiazga added a subscriber: pmiazga.

Change 399660 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] When showing history include the namespace text

https://gerrit.wikimedia.org/r/399660

Jdlrobson assigned this task to pmiazga.Jan 2 2018, 6:56 PM

Per standup, @pmiazga will add some QA steps and assign to Anthony.

pmiazga updated the task description. (Show Details)Jan 2 2018, 9:58 PM
pmiazga reassigned this task from pmiazga to ABorbaWMF.
Nirzar added a comment.Jan 3 2018, 9:51 PM

It doesn't look like the mock provided but works for now

pmiazga reassigned this task from ABorbaWMF to Nirzar.Jan 4 2018, 6:02 PM
pmiazga added a subscriber: ABorbaWMF.

@Nirzar can you sign it off? Change is on beta

Nirzar closed this task as Resolved.Jan 4 2018, 6:30 PM

Macro votecat: looks good